Loading...
Searching...
No Matches
Ogre::ImportAbstractNode Class Reference
Core » Script

This abstract node represents an import statement. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ImportAbstractNode:
[legend]

## Public Member Functions

| ImportAbstractNode ()
AbstractNode * | clone () const override
| Returns a new AbstractNode which is a replica of this one.
const String & | getValue () const override
| Returns a string value depending on the type of the AbstractNode.
Public Member Functions inherited from Ogre::AbstractNode
| AbstractNode (AbstractNode *ptr)
virtual | ~AbstractNode ()
ScriptProperty | getProperty () const
| Returns the property name and values of the node for ANT_PROPERTY. Empty string otherwise.
const String & | getString () const
| Returns the string content of the node for ANT_ATOM. Empty string otherwise.

## Public Attributes

String | source
String | target
Public Attributes inherited from Ogre::AbstractNode
Any | context
String | file
unsigned int | line
AbstractNode * | parent
AbstractNodeType | type

## Detailed Description

This abstract node represents an import statement.

## Constructor & Destructor Documentation

## ImportAbstractNode()

Ogre::ImportAbstractNode::ImportAbstractNode | ( |  | ) |

## Member Function Documentation

## clone()

AbstractNode * Ogre::ImportAbstractNode::clone | ( |  | ) | const

override virtual

Returns a new AbstractNode which is a replica of this one.

Implements Ogre::AbstractNode.

References Ogre::AbstractNode::AbstractNode().

## getValue()

const String & Ogre::ImportAbstractNode::getValue | ( |  | ) | const

inline override virtual

Returns a string value depending on the type of the AbstractNode.

Implements Ogre::AbstractNode.

References target.

## Member Data Documentation

## target

String Ogre::ImportAbstractNode::target

Referenced by getValue().

## source

String Ogre::ImportAbstractNode::source

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h